be.cin.nip.async.generic

## Class Query

- java.lang.Object
- - be.cin.nip.async.generic.Query

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MsgQuery

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:56:23+01:00",
                 comments="JAXB RI v2.3.7")
      public class Query
      extends Object
      implements Serializable

  Java class for Query complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Query">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Max" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             </sequence>
             <attribute name="Include" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Query()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getMax()` Gets the value of the max property.
    `boolean` | `isInclude()` Gets the value of the include property.
    `void` | `setInclude(Boolean value)` Sets the value of the include property.
    `void` | `setMax(Integer value)` Sets the value of the max property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Query

          public Query()

  - ### Method Detail

    - #### getMax

          public Integer getMax()

      Gets the value of the max property.
      Returns:
        possible object is `Integer`

    - #### setMax

          public void setMax(Integer value)

      Sets the value of the max property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### isInclude

          public boolean isInclude()

      Gets the value of the include property.
      Returns:
        possible object is `Boolean`

    - #### setInclude

          public void setInclude(Boolean value)

      Sets the value of the include property.
      Parameters:
        `value` - allowed object is `Boolean`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.